#!/usr/bin/python

from charmhelpers.core import hookenv
from charmhelpers.core.services.base import ServiceManager
from charmhelpers.core.services import helpers

import actions


def manage():
    config = hookenv.config()
    manager = ServiceManager([
        {
            'service': 'core-image-builder',
            'required_data': [config],
            'data_ready': [
                actions.basenode,
                actions.install_packages,
                actions.install_service_tarball,
                actions.install_python_packages,
                actions.update_config_file,
                actions.create_user,
                helpers.render_template(
                    source='upstart.conf',
                    target='/etc/init/core-image-builder.conf'),
                helpers.render_template(
                    source='sudoers.conf',
                    target='/etc/sudoers.d/core-image-builder'),
                actions.log_start,
            ],
        },
    ])
    manager.manage()
